Subject: Re: bug#79124: emacs -Q doesn't give me a clean slate

From: Paul Eggert <[email-masked]>
Date: Mon, 4 Aug 2025 13:09:00 -0700

On 2025-08-04 11:14, Eli Zaretskii wrote:
> none of the *.eln files
> are user-specific configuration

They are if the *.eln files are incorrect, which they may be for various 
reasons. A reproducible test should not be disrupted merely because the 
user's ~/.emacs.d/...macroexpand_0.eln is corrupt.

> precisely like the *.elc files on the
> user's machine aren't.

Are you talking about *.elc files under ~/.emacs.d? In that case, yes, 
it should be just like *.eln files under ~/.emacs.d: neither kind of 
file should be read on startup in a reproducible test. I observed this 
issue only with *.eln files, and that is why I've been talking about 
*.eln files.